/*
    -- clMAGMA (version 1.3.1) --
       Univ. of Tennessee, Knoxville
       Univ. of California, Berkeley
       Univ. of Colorado, Denver
       @date January 2015
*/

#ifndef MAGMA_AUXILIARY_H
#define MAGMA_AUXILIARY_H

#include "magma_types.h"

#ifdef __cplusplus
extern "C" {
#endif

magma_int_t magma_get_smlsize_divideconquer();

void printout_devices();

void swp2pswp   (magma_trans_t trans, magma_int_t n, magma_int_t *ipiv, magma_int_t *newipiv);

double magma_wtime( void );
double magma_sync_wtime( magma_queue_t queue );


#ifdef __cplusplus
}
#endif

#endif  // MAGMA_AUXILIARY_H
