#ifndef MAGMA_ZC_SERVER_H
#define MAGMA_ZC_SERVER_H

/*
 *   -- micMAGMA (version 1.3.1) --
 *      Univ. of Tennessee, Knoxville
 *      Univ. of California, Berkeley
 *      Univ. of Colorado, Denver
 *      April 2012
 *
 * @precisions mixed zc -> ds
 */

#include <mkl.h>

#include <mkl_trans.h>
#include <scif.h>
#include <fcntl.h>
#include <offload.h>

#include "magma.h"
#include "magma_zc_bindings.h"

void call_zlag2c(magma_mic_zlag2c_param zlag2c_param);
void call_clag2z(magma_mic_clag2z_param clag2z_param);
void call_zcgesv(magma_mic_zcgesv_param zcgesv_param);

#endif // MAGMA_ZC_SERVER_H
